Integrations
List all the Integrations
Get the details of all Integrations available for the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
integrations
/
apps
List all the Integrations
curl --request GET \
--url https://airys.chat/api/v1/accounts/{account_id}/integrations/apps \
--header 'api_access_token: <api-key>'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/integrations/apps"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://airys.chat/api/v1/accounts/{account_id}/integrations/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"hook_type": "<string>",
"enabled": true,
"allow_multiple_hooks": true,
"hooks": [
{}
]
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
Array of Integration apps
Show child attributes
Show child attributes
⌘I
List all the Integrations
